### Hierarchy

- IRenderable
  - IStackeable

### Implemented by

- Basket
- Block
- BootstrapCarousel
- Camera
- Carousel
- ChoiceContainer
- Col
- Form
- Items
- MultipleChoice
- NoopRating
- Overlays
- Rating
- Reel
- ReelValue
- Row
- Selection
- SelectionItem
- SingleChoice
- SlotMachine
- SmallDevice
- Table

## Index

### Methods

- render

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Inherited from IRenderable.render

  - Defined in lib/api/IRenderable.ts:15

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc